// $Id: conf.h,v 1.7 2002/07/31 14:35:14 blues Exp $

/* Intro {{{
 * ----------------------------------------------------------------
 *  DirectConnect HUB for Linux
 *
 *      #(@) Copyright (c) 2002, DConnect development team
 *      #(@) Homepage: http://www.dc.ds.pg.gda.pl/
 *
 *  This  program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY  or  FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You  should  have  received a copy  of  the GNU General Public
 *  License  along  with  this  program;  if  not,  write  to  the
 *  Free  Software  Foundation,  Inc.,  675  Mass  Ave,  Cambridge,
 *  MA 02139, USA.
 *
 * ----------------------------------------------------------------
 * }}} */

/* ChangeLog {{{
 * $Log: conf.h,v $
 * Revision 1.7  2002/07/31 14:35:14  blues
 * - one TODO is out - it's possible now to turn off chats
 *
 * Revision 1.6  2002/07/31 13:17:09  blues
 * - header added
 * 
 * }}} */



/*
 * Read a line from FP and return the pointer to allocated storage.
 */
char *read_whole_line(FILE *fp);

/*
 * Parse config file
 */
void parse_config(struct config *conf);

/* VIM Settings {{{
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * soft-stop-width: 4
 * c indent on
 * End:
 * vim600: sw=4 ts=4 sts=4 cindent fdm=marker
 * vim<600: sw=4 ts=4
 * }}} */

