# $Revision: 1.15 $, $Date: 2002/07/08 13:32:57 $
Summary:	DConnect Daemon - Hub D****ct Connect for Linux
Summary(pl):	DConnect Daemon - Hub D****ct Connecta dla Linuksa
Name:		dcd
Version:	0.1.0
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	ftp://pollux.ds.pg.gda.pl/Linux/DConnect/sources/stable/%{name}-%{version}.tar.gz
URL:		http://www.dc.ds.pg.gda.pl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is Linux D*** Connect Hub implementation for Linux. It works in
daemon mode and utilizes threads.

%description -l pl
Pakiet zawiera Linuksow implementacj huba D*** Connecta, ktry 
pracuje jako demon i uywa wtkw.

%prep
%setup -q

%build
%configure \
	--sysconfdir=%{_sysconfdir}/dcd

make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d,logrotate.d,dcd},/var/log/archiv/dcd}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install contrib/PLD/dcd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/dcd
install contrib/dcd.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/dcd
install contrib/logrotate.dcd $RPM_BUILD_ROOT/etc/logrotate.d/dcd

touch $RPM_BUILD_ROOT/var/log/dcd.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dcd
if [ -f /var/lock/subsys/dcd ]; then
        /etc/rc.d/init.d/dcd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/dcd start\" to start DConnect Daemon."
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/dcd ]; then
                /etc/rc.d/init.d/dcd stop 1>&2
        fi
        /sbin/chkconfig --del dcd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS FAQ NEWS README TODO doc/*.txt doc/*.html
%attr(755,root,root) %{_sbindir}/dcd
%attr(755,root,root) /etc/rc.d/init.d/dcd
%attr(644,root,root) %config(noreplace) /etc/dcd/dchub.conf
%attr(644,root,root) %config(noreplace) /etc/sysconfig/dcd
%attr(644,root,root) %config(noreplace) /etc/logrotate.d/dcd
%attr(644,daemon,root) /var/log/dcd.log
%dir /var/log/archiv/dcd

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} DConnect Daemon <dc-hub@ds.pg.gda.pl>

$Log: dcd.spec.in,v $
Revision 1.15  2002/07/08 13:32:57  blues
*** empty log message ***

Revision 1.14  2002/06/30 09:32:30  blues
- permisions to logfile

Revision 1.13  2002/06/30 04:17:34  blues
- sort in alfabetical order

Revision 1.12  2002/06/30 04:13:44  blues
- added log

Revision 1.11  2002/06/28 20:51:52  blues
- added FAQ - feel free to fill it :)

Revision 1.10  2002/06/15 12:01:46  blues
- better (correct) handle of config file

Revision 1.9  2002/06/04 23:59:47  blues
- fixed config-file location

Revision 1.8  2002/05/31 17:55:29  blues
- fixed handling config, reverted my mistakes, fixed initscripts and specs

Revision 1.7  2002/05/18 12:30:58  blues
- gziping docs moved to build section in PLD spec
- cosmetics in some files

Revision 1.6  2002/05/08 16:04:56  blues
- fixes to spec by PLD-team :) <qboosh@pld.org.pl>, <kloczek@pld.org.pl>
- more buildrequires, some spellings.

Revision 1.5  2002/04/28 12:49:01  blues
- This is finally 0.0.2 :)
- info in config
- configs marked as config(noreplace)

Revision 1.4  2002/04/28 02:10:27  blues
- added one buildrequire to spec

Revision 1.3  2002/04/28 01:45:12  blues
- added post and postun section in contrib/PLD/dcd.spec.in

Revision 1.2  2002/04/28 00:35:24  blues
- dchub.conf moved to autogenerated version - few more fixes

Revision 1.1  2002/04/27 21:26:16  blues
- started making contrib directory

Revision 1.4  2002/04/27 21:05:31  blues
- More automatics and one fix...

Revision 1.3  2002/03/28 21:17:15  blues
- config added

Revision 1.2  2002/03/28 20:53:31  blues
- some fixes


